import java.util.Hashtable;
import java.util.Vector;
import javax.swing.table.*;

public class ResultTableModel extends RefreshAbstractTableModel
{

	Vector searchResult;
	String columns[]={"Number","File Name","Size","Tags","Download"};
	DonkeyCore donkeyCore;
	
	public ResultTableModel(Vector searchResult,DonkeyCore donkeyCore)
	{
		this.donkeyCore=donkeyCore;
		this.searchResult=searchResult;
	}
	
	public int getColumnCount()
	{
		return columns.length;
	}
	
	public String getColumnName(int col)
	{
		return columns[col];
	}

	public int getRowCount()
	{
		return searchResult.size();
	}
	
	public Object getValueAt(int row,int col)
	{
		return ((Vector)searchResult.get(row)).get(col);
	}
	
	public boolean isCellEditable(int row,int col)
	{
		return col==columns.length-1;
	}
	
	public void setValueAt(Object o,int row,int col)
	{
		((Vector)searchResult.get(row)).setElementAt(new Boolean(true),col);
		donkeyCore.download((Long)getValueAt(row,0));
	}

}